using System;
using System.Collections.Generic;
using System.Diagnostics.Eventing.Reader;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace zadatak_1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split(' ');
            long N = long.Parse(input[0]);
            ulong L = ulong.Parse(input[1]);
            string[] arrayInput = Console.ReadLine().Split(' ');
            for (int i = 0; i < N; i++)
            {
                if (ulong.Parse(arrayInput[i]) <= L)
                {
                    Console.WriteLine(i+1);
                    break;
                }
                else if (i == N - 1) 
                {
                    Console.WriteLine(-1);
                }
            }
        }
    }
}